<?php
namespace WHMCS\Module\Addon\svmnatdomain\Admin;
class Controller {

    public function index($vars)
    {
		echo <<<HTMLAB
  <div style="float:left;width:100%;"> 
   <h1>域名列表</h1> 
    <div class="tablebg"> 
     <table id="sortabletbl2" class="datatable" width="100%" border="0" cellspacing="1" cellpadding="3"> 
      <tbody>
       <tr>
        <th width="20">ID</th>
        <th>域名</th>
        <th>内网IP</th>
        <th>外部协议</th>
		<th>内部协议</th>
		<th>内网端口</th>
		<th>外网端口</th>
        <th>状态</a></th>
		<th>操作</a></th>
       </tr> 
HTMLAB;
		$vhostlist = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->get();
		$product = array();
		foreach ($vhostlist as $key => $values) {
			$id = $values->id;
			$domain = $package->domain;
			$natip = $values->natip;
			$webtype = $values->webtype;
			$natsptype = $values->natsptype;
			$natsp = $values->natsp;
			$natport = $values->natport;
			$status = $values->status;
			echo <<<HTMLAC
			<tr>
  <td>$id</td>
        <td>$domain</td>
		<td>$natip</td>
		<td>$webtype</td>
		<td>$natsptype</td>
		<td>$natsp</td>
		<td>$natport</td>
HTMLAC;
           if($status == 'changed'){
			   echo "<td>刚刚编辑</td><td><a href=\"addonmodules.php?module=svmnatdomain&action=edit&serverip=$natip&id=$id\">编辑</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"addonmodules.php?module=svmnatdomain&action=del&serverip=$natip&id=$id\">删除</a></td></tr>";
		   }elseif($status == 'ok'){
			   echo "<td>正常</td><td><a href=\"addonmodules.php?module=svmnatdomain&action=edit&serverip=$natip&id=$id\">编辑</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"addonmodules.php?module=svmnatdomain&action=del&serverip=$natip&id=$id\">删除</a></td></tr>";
		   }elseif($status == 'del'){
			   echo "<td>删除中</td><td>无</td></tr>";
		   }else{
			   echo "<td>未知</td><td>无</td></tr>";
		   }
		}
			echo <<<HTMLAD
      </tbody>
     </table> 
    </div> 
  </div>
HTMLAD;
    }
	
    public function del($vars)
    {
		$InfoFind = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->first();
		if(empty($InfoFind)){
	    	return '<p>没有找到匹配的记录!&nbsp;&nbsp;&nbsp;&nbsp;<a href="addonmodules.php?module=svmnatdomain">返回</a></p>';
		}else{
			$InfoRm = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->update(array('status' => 'del'));
			if(!$InfoRm){
	    		return '<p>记录删除失败!&nbsp;&nbsp;&nbsp;&nbsp;<a href="addonmodules.php?module=svmnatdomain">返回</a></p>';
		    }else{
              	return '<p>删除成功!系统将会在稍后自动同步到Solusvm节点&nbsp;&nbsp;&nbsp;&nbsp;<a href="addonmodules.php?module=svmnatdomain">返回</a></p>';
			}
		}
    }
	
    public function edit($vars)
    {
		$InfoFind = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->first();
		if(empty($InfoFind)){
	    	 return '<p>没有找到匹配的记录!&nbsp;&nbsp;&nbsp;&nbsp;<a href="addonmodules.php?module=svmnatdomain">返回</a></p>';
		}else{
			if($_REQUEST['update'] != 'yes'){
				$id = $InfoFind->id;
				$domain = $InfoFind->domain;
				$natip = $InfoFind->natip;
				$webtype = $InfoFind->webtype;
				$natsptype = $InfoFind->natsptype;
				$natsp = $InfoFind->natsp;
				$natport = $InfoFind->natport;
				$httpskey = $InfoFind->httpskey;
				$httpscrt = $InfoFind->httpscrt;
				echo <<<HTMLAB
  <div style="float:left;width:100%;"> 
   <h1>修改域名</h1> 
   <form id="frmAddUser" method="post" action="addonmodules.php?module=svmnatdomain&action=edit&serverip=$natip&id=$id&update=yes"> 
    <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3"> 
     <tbody> 
      <tr>
       <td class="fieldlabel">域名</td>
       <td class="fieldarea"><input type="text" class="form-control input-250" name="domain" value="$domain" tabindex="2"  readonly /></td>
       <td class="fieldlabel">内网ip</td>
       <td class="fieldarea"><input type="text" class="form-control input-250 input-inline" name="natip" value="$natip" tabindex="9" /></td>
      </tr> 
      <tr>
       <td class="fieldlabel">外网端口</td>
       <td class="fieldarea"><input type="text" class="form-control input-300" name="natport" value="$natport" tabindex="4" readonly /></td></td>
       <td class="fieldlabel">内网端口</td>
       <td class="fieldarea"><input type="text" class="form-control input-300" name="natsp" value="$natsp" tabindex="4" /></td>
      </tr> 
      <tr>
       <td class="fieldlabel">外网协议</td>
       <td class="fieldarea">
	   <select name="webtype" class="form-control select-inline">
HTMLAB;
	   if($webtype == 'https'){
	       echo '<option value="https" selected="true">https</option><option value="http">http</option>';
	   }else{
		   echo '<option value="http" selected="true">http</option><option value="https">https</option>';
	   }
	   echo '</select>
	   </td>
       <td class="fieldlabel">内网协议</td>
	   </select>
       <td class="fieldarea">
	   <select name="natsptype" class="form-control select-inline">';
	   if($natsptype == 'https'){
	       echo '<option value="https" selected="true">https</option><option value="http">http</option>';
	   }else{
		   echo '<option value="http" selected="true">http</option><option value="https">https</option>';
	   }
		echo <<<HTMLAC
	   </td>
      </tr> 
	  <tr><td class="fieldlabel">HttpsKey</td><td class="fieldarea" colspan="3"><textarea name="httpskey" rows="4" class="form-control" tabindex="29">$httpskey</textarea></td></tr>
	  <tr><td class="fieldlabel">HttpsCrt</td><td class="fieldarea" colspan="3"><textarea name="httpscrt" rows="4" class="form-control" tabindex="29">$httpscrt</textarea></td></tr>
     </tbody>
    </table> 
    <div class="btn-container"> 
     <input type="submit" value="提交" tabindex="31" class="btn btn-primary" /> 
    </div> 
   </form>
  </div>
HTMLAC;
			}else{
				if(empty($_REQUEST['domain']) || empty($_REQUEST['natip']) || empty($_REQUEST['webtype']) || empty($_REQUEST['natsptype']) || empty($_REQUEST['natsp'])){
					return '<p>表单不完整!&nbsp;&nbsp;&nbsp;&nbsp;<a href="addonmodules.php?module=svmnatdomain">返回</a></p>';
				}
				$InfoUpdate = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->update(array('domain' => $_REQUEST['domain'],'natip' => $_REQUEST['natip'],'webtype' => $_REQUEST['webtype'],'natsptype' => $_REQUEST['natsptype'],'natsp' => $_REQUEST['natsp'],'status' => 'changed','httpscrt' => $_REQUEST['httpscrt'],'httpskey' => $_REQUEST['httpskey']));
				if(!$InfoUpdate){
	    			return '<p>更新失败!&nbsp;&nbsp;&nbsp;&nbsp;<a href="addonmodules.php?module=svmnatdomain">返回</a></p>';
		    	}else{
	    			return '<p>更新成功!系统将会在稍后自动同步到Solusvm节点&nbsp;&nbsp;&nbsp;&nbsp;<a href="addonmodules.php?module=svmnatdomain">返回</a></p>';
				}
			}
		}
    }
}
